## Service-side Channel Call interface Service-side Channel Call interface — GInterface to implement call channels |

## Functions

void | (*tp_svc_channel_type_call_accept_impl) ()
void | (*tp_svc_channel_type_call_add_content_impl) ()
void | tp_svc_channel_type_call_emit_call_members_changed ()
void | tp_svc_channel_type_call_emit_call_state_changed ()
void | tp_svc_channel_type_call_emit_content_added ()
void | tp_svc_channel_type_call_emit_content_removed ()
void | (*tp_svc_channel_type_call_hangup_impl) ()
void | tp_svc_channel_type_call_implement_accept ()
void | tp_svc_channel_type_call_implement_add_content ()
void | tp_svc_channel_type_call_implement_hangup ()
void | tp_svc_channel_type_call_implement_set_queued ()
void | tp_svc_channel_type_call_implement_set_ringing ()
void | tp_svc_channel_type_call_return_from_accept ()
void | tp_svc_channel_type_call_return_from_add_content ()
void | tp_svc_channel_type_call_return_from_hangup ()
void | tp_svc_channel_type_call_return_from_set_queued ()
void | tp_svc_channel_type_call_return_from_set_ringing ()
void | (*tp_svc_channel_type_call_set_queued_impl) ()
void | (*tp_svc_channel_type_call_set_ringing_impl) ()
void | tp_svc_call_content_emit_streams_added ()
void | tp_svc_call_content_emit_streams_removed ()
void | tp_svc_call_content_implement_remove ()
void | (*tp_svc_call_content_remove_impl) ()
void | tp_svc_call_content_return_from_remove ()
void | (*tp_svc_call_content_interface_media_acknowledge_dtmf_change_impl) ()
void | tp_svc_call_content_interface_media_emit_dtmf_change_requested ()
void | tp_svc_call_content_interface_media_emit_local_media_description_changed ()
void | tp_svc_call_content_interface_media_emit_media_description_offer_done ()
void | tp_svc_call_content_interface_media_emit_media_descriptions_removed ()
void | tp_svc_call_content_interface_media_emit_new_media_description_offer ()
void | tp_svc_call_content_interface_media_emit_remote_media_descriptions_changed ()
void | (*tp_svc_call_content_interface_media_fail_impl) ()
void | tp_svc_call_content_interface_media_implement_acknowledge_dtmf_change ()
void | tp_svc_call_content_interface_media_implement_fail ()
void | tp_svc_call_content_interface_media_implement_update_local_media_description ()
void | tp_svc_call_content_interface_media_return_from_acknowledge_dtmf_change ()
void | tp_svc_call_content_interface_media_return_from_fail ()
void | tp_svc_call_content_interface_media_return_from_update_local_media_description ()
void | (*tp_svc_call_content_interface_media_update_local_media_description_impl) ()
void | tp_svc_call_content_interface_video_control_emit_bitrate_changed ()
void | tp_svc_call_content_interface_video_control_emit_framerate_changed ()
void | tp_svc_call_content_interface_video_control_emit_key_frame_requested ()
void | tp_svc_call_content_interface_video_control_emit_mtu_changed ()
void | tp_svc_call_content_interface_video_control_emit_video_resolution_changed ()
void | tp_svc_call_content_interface_audio_control_implement_report_input_volume ()
void | tp_svc_call_content_interface_audio_control_implement_report_output_volume ()
void | (*tp_svc_call_content_interface_audio_control_report_input_volume_impl) ()
void | (*tp_svc_call_content_interface_audio_control_report_output_volume_impl) ()
void | tp_svc_call_content_interface_audio_control_return_from_report_input_volume ()
void | tp_svc_call_content_interface_audio_control_return_from_report_output_volume ()
void | tp_svc_call_content_interface_dtmf_emit_sending_tones ()
void | tp_svc_call_content_interface_dtmf_emit_stopped_tones ()
void | tp_svc_call_content_interface_dtmf_emit_tones_deferred ()
void | tp_svc_call_content_interface_dtmf_implement_multiple_tones ()
void | tp_svc_call_content_interface_dtmf_implement_start_tone ()
void | tp_svc_call_content_interface_dtmf_implement_stop_tone ()
void | (*tp_svc_call_content_interface_dtmf_multiple_tones_impl) ()
void | tp_svc_call_content_interface_dtmf_return_from_multiple_tones ()
void | tp_svc_call_content_interface_dtmf_return_from_start_tone ()
void | tp_svc_call_content_interface_dtmf_return_from_stop_tone ()
void | (*tp_svc_call_content_interface_dtmf_start_tone_impl) ()
void | (*tp_svc_call_content_interface_dtmf_stop_tone_impl) ()
void | (*tp_svc_call_content_media_description_accept_impl) ()
void | tp_svc_call_content_media_description_implement_accept ()
void | tp_svc_call_content_media_description_implement_reject ()
void | tp_svc_call_content_media_description_return_from_accept ()
void | tp_svc_call_content_media_description_return_from_reject ()
void | (*tp_svc_call_content_media_description_reject_impl) ()
void | tp_svc_call_stream_implement_request_receiving ()
void | tp_svc_call_stream_implement_set_sending ()
void | tp_svc_call_stream_emit_local_sending_state_changed ()
void | tp_svc_call_stream_emit_remote_members_changed ()
void | (*tp_svc_call_stream_request_receiving_impl) ()
void | tp_svc_call_stream_return_from_request_receiving ()
void | tp_svc_call_stream_return_from_set_sending ()
void | (*tp_svc_call_stream_set_sending_impl) ()
void | (*tp_svc_call_stream_interface_media_add_candidates_impl) ()
void | (*tp_svc_call_stream_interface_media_complete_receiving_state_change_impl) ()
void | (*tp_svc_call_stream_interface_media_complete_sending_state_change_impl) ()
void | tp_svc_call_stream_interface_media_emit_endpoints_changed ()
void | tp_svc_call_stream_interface_media_emit_ice_restart_requested ()
void | tp_svc_call_stream_interface_media_emit_local_candidates_added ()
void | tp_svc_call_stream_interface_media_emit_local_credentials_changed ()
void | tp_svc_call_stream_interface_media_emit_receiving_state_changed ()
void | tp_svc_call_stream_interface_media_emit_relay_info_changed ()
void | tp_svc_call_stream_interface_media_emit_sending_state_changed ()
void | tp_svc_call_stream_interface_media_emit_server_info_retrieved ()
void | tp_svc_call_stream_interface_media_emit_stun_servers_changed ()
void | (*tp_svc_call_stream_interface_media_fail_impl) ()
void | (*tp_svc_call_stream_interface_media_finish_initial_candidates_impl) ()
void | tp_svc_call_stream_interface_media_implement_add_candidates ()
void | tp_svc_call_stream_interface_media_implement_complete_receiving_state_change ()
void | tp_svc_call_stream_interface_media_implement_complete_sending_state_change ()
void | tp_svc_call_stream_interface_media_implement_fail ()
void | tp_svc_call_stream_interface_media_implement_finish_initial_candidates ()
void | tp_svc_call_stream_interface_media_implement_report_receiving_failure ()
void | tp_svc_call_stream_interface_media_implement_report_sending_failure ()
void | tp_svc_call_stream_interface_media_implement_set_credentials ()
void | (*tp_svc_call_stream_interface_media_report_receiving_failure_impl) ()
void | (*tp_svc_call_stream_interface_media_report_sending_failure_impl) ()
void | tp_svc_call_stream_interface_media_return_from_add_candidates ()
void | tp_svc_call_stream_interface_media_return_from_complete_receiving_state_change ()
void | tp_svc_call_stream_interface_media_return_from_complete_sending_state_change ()
void | tp_svc_call_stream_interface_media_return_from_fail ()
void | tp_svc_call_stream_interface_media_return_from_finish_initial_candidates ()
void | tp_svc_call_stream_interface_media_return_from_report_receiving_failure ()
void | tp_svc_call_stream_interface_media_return_from_report_sending_failure ()
void | tp_svc_call_stream_interface_media_return_from_set_credentials ()
void | (*tp_svc_call_stream_interface_media_set_credentials_impl) ()
void | (*tp_svc_call_stream_endpoint_accept_selected_candidate_pair_impl) ()
void | tp_svc_call_stream_endpoint_emit_candidate_pair_selected ()
void | tp_svc_call_stream_endpoint_emit_controlling_changed ()
void | tp_svc_call_stream_endpoint_emit_endpoint_state_changed ()
void | tp_svc_call_stream_endpoint_emit_remote_candidates_added ()
void | tp_svc_call_stream_endpoint_emit_remote_credentials_set ()
void | tp_svc_call_stream_endpoint_implement_accept_selected_candidate_pair ()
void | tp_svc_call_stream_endpoint_implement_reject_selected_candidate_pair ()
void | tp_svc_call_stream_endpoint_implement_set_controlling ()
void | tp_svc_call_stream_endpoint_implement_set_endpoint_state ()
void | tp_svc_call_stream_endpoint_implement_set_selected_candidate_pair ()
void | (*tp_svc_call_stream_endpoint_reject_selected_candidate_pair_impl) ()
void | tp_svc_call_stream_endpoint_return_from_accept_selected_candidate_pair ()
void | tp_svc_call_stream_endpoint_return_from_reject_selected_candidate_pair ()
void | tp_svc_call_stream_endpoint_return_from_set_controlling ()
void | tp_svc_call_stream_endpoint_return_from_set_endpoint_state ()
void | tp_svc_call_stream_endpoint_return_from_set_selected_candidate_pair ()
void | (*tp_svc_call_stream_endpoint_set_controlling_impl) ()
void | (*tp_svc_call_stream_endpoint_set_endpoint_state_impl) ()
void | (*tp_svc_call_stream_endpoint_set_selected_candidate_pair_impl) ()

## Signals

void | call-members-changed | Has Details
void | call-state-changed | Has Details
void | content-added | Has Details
void | content-removed | Has Details
void | streams-added | Has Details
void | streams-removed | Has Details
void | d-tm-fchange-requested | Has Details
void | local-media-description-changed | Has Details
void | media-description-offer-done | Has Details
void | media-descriptions-removed | Has Details
void | new-media-description-offer | Has Details
void | remote-media-descriptions-changed | Has Details
void | bitrate-changed | Has Details
void | framerate-changed | Has Details
void | key-frame-requested | Has Details
void | m-tu-changed | Has Details
void | video-resolution-changed | Has Details
void | sending-tones | Has Details
void | stopped-tones | Has Details
void | tones-deferred | Has Details
void | local-sending-state-changed | Has Details
void | remote-members-changed | Has Details
void | endpoints-changed | Has Details
void | i-ce-restart-requested | Has Details
void | local-candidates-added | Has Details
void | local-credentials-changed | Has Details
void | receiving-state-changed | Has Details
void | relay-info-changed | Has Details
void | s-tu-nservers-changed | Has Details
void | sending-state-changed | Has Details
void | server-info-retrieved | Has Details
void | candidate-pair-selected | Has Details
void | controlling-changed | Has Details
void | endpoint-state-changed | Has Details
void | remote-candidates-added | Has Details
void | remote-credentials-set | Has Details

## Types and Values

| TpSvcChannelTypeCall
| TpSvcChannelTypeCallClass
| TpSvcCallContent
| TpSvcCallContentClass
| TpSvcCallContentInterfaceMedia
| TpSvcCallContentInterfaceMediaClass
| TpSvcCallContentInterfaceVideoControl
| TpSvcCallContentInterfaceVideoControlClass
| TpSvcCallContentInterfaceAudioControl
| TpSvcCallContentInterfaceAudioControlClass
| TpSvcCallContentInterfaceDTMF
| TpSvcCallContentInterfaceDTMFClass
| TpSvcCallContentMediaDescription
| TpSvcCallContentMediaDescriptionClass
| TpSvcCallContentMediaDescriptionInterfaceRTCPExtendedReports
| TpSvcCallContentMediaDescriptionInterfaceRTCPExtendedReportsClass
| TpSvcCallContentMediaDescriptionInterfaceRTCPFeedback
| TpSvcCallContentMediaDescriptionInterfaceRTCPFeedbackClass
| TpSvcCallContentMediaDescriptionInterfaceRTPHeaderExtensions
| TpSvcCallContentMediaDescriptionInterfaceRTPHeaderExtensionsClass
| TpSvcCallStream
| TpSvcCallStreamClass
| TpSvcCallStreamInterfaceMedia
| TpSvcCallStreamInterfaceMediaClass
| TpSvcCallStreamEndpoint
| TpSvcCallStreamEndpointClass

## Object Hierarchy

        GInterface
        ├── TpSvcCallContent
        ├── TpSvcCallContentInterfaceAudioControl
        ├── TpSvcCallContentInterfaceDTMF
        ├── TpSvcCallContentInterfaceMedia
        ├── TpSvcCallContentInterfaceVideoControl
        ├── TpSvcCallContentMediaDescription
        ├── TpSvcCallContentMediaDescriptionInterfaceRTCPExtendedReports
        ├── TpSvcCallContentMediaDescriptionInterfaceRTCPFeedback
        ├── TpSvcCallContentMediaDescriptionInterfaceRTPHeaderExtensions
        ├── TpSvcCallStream
        ├── TpSvcCallStreamEndpoint
        ├── TpSvcCallStreamInterfaceMedia
        ╰── TpSvcChannelTypeCall

## Known Implementations

TpSvcChannelTypeCall is implemented by TpBaseCallChannel and TpBaseMediaCallChannel.

TpSvcCallContent is implemented by TpBaseCallContent and TpBaseMediaCallContent.

TpSvcCallContentInterfaceMedia is implemented by TpBaseMediaCallContent.

TpSvcCallContentInterfaceDTMF is implemented by TpBaseCallContent and TpBaseMediaCallContent.

TpSvcCallContentMediaDescription is implemented by TpCallContentMediaDescription.

TpSvcCallContentMediaDescriptionInterfaceRTCPExtendedReports is implemented by TpCallContentMediaDescription.

TpSvcCallContentMediaDescriptionInterfaceRTCPFeedback is implemented by TpCallContentMediaDescription.

TpSvcCallContentMediaDescriptionInterfaceRTPHeaderExtensions is implemented by TpCallContentMediaDescription.

TpSvcCallStream is implemented by TpBaseCallStream and TpBaseMediaCallStream.

TpSvcCallStreamInterfaceMedia is implemented by TpBaseMediaCallStream.

TpSvcCallStreamEndpoint is implemented by TpCallStreamEndpoint.

## Includes

    #include <telepathy-glib/telepathy-glib-dbus.h>

## Description

Call channels represent real-time audio or video streaming, including voice over IP, webcams, and telephony.

## Functions

### tp_svc_channel_type_call_accept_impl ()

    void
    (*tp_svc_channel_type_call_accept_impl)
                                   (TpSvcChannelTypeCall *self,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method Accept on interface org.freedesktop.Telepathy.Channel.Type.Call1.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_channel_type_call_add_content_impl ()

    void
    (*tp_svc_channel_type_call_add_content_impl)
                                   (TpSvcChannelTypeCall *self,
                                    const gchar *in_Content_Name,
                                    guint in_Content_Type,
                                    guint in_InitialDirection,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method AddContent on interface org.freedesktop.Telepathy.Channel.Type.Call1.

#### Parameters

self | The object implementing this interface |
in_Content_Name | const gchar * (FIXME, generate documentation) |
in_Content_Type | guint (FIXME, generate documentation) |
in_InitialDirection | guint (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_channel_type_call_emit_call_members_changed ()

    void
    tp_svc_channel_type_call_emit_call_members_changed
                                   (gpointer instance,
                                    GHashTable *arg_Flags_Changed,
                                    GHashTable *arg_Identifiers,
                                    const GArray *arg_Removed,
                                    const GValueArray *arg_Reason);

Type-safe wrapper around g_signal_emit to emit the CallMembersChanged signal on interface org.freedesktop.Telepathy.Channel.Type.Call1.

#### Parameters

instance | The object implementing this interface |
arg_Flags_Changed | GHashTable * (FIXME, generate documentation) |
arg_Identifiers | GHashTable * (FIXME, generate documentation) |
arg_Removed | const GArray * (FIXME, generate documentation) |
arg_Reason | const GValueArray * (FIXME, generate documentation) |

### tp_svc_channel_type_call_emit_call_state_changed ()

    void
    tp_svc_channel_type_call_emit_call_state_changed
                                   (gpointer instance,
                                    guint arg_Call_State,
                                    guint arg_Call_Flags,
                                    const GValueArray *arg_Call_State_Reason,
                                    GHashTable *arg_Call_State_Details);

Type-safe wrapper around g_signal_emit to emit the CallStateChanged signal on interface org.freedesktop.Telepathy.Channel.Type.Call1.

#### Parameters

instance | The object implementing this interface |
arg_Call_State | guint (FIXME, generate documentation) |
arg_Call_Flags | guint (FIXME, generate documentation) |
arg_Call_State_Reason | const GValueArray * (FIXME, generate documentation) |
arg_Call_State_Details | GHashTable * (FIXME, generate documentation) |

### tp_svc_channel_type_call_emit_content_added ()

    void
    tp_svc_channel_type_call_emit_content_added
                                   (gpointer instance,
                                    const gchar *arg_Content);

Type-safe wrapper around g_signal_emit to emit the ContentAdded signal on interface org.freedesktop.Telepathy.Channel.Type.Call1.

#### Parameters

instance | The object implementing this interface |
arg_Content | const gchar * (FIXME, generate documentation) |

### tp_svc_channel_type_call_emit_content_removed ()

    void
    tp_svc_channel_type_call_emit_content_removed
                                   (gpointer instance,
                                    const gchar *arg_Content,
                                    const GValueArray *arg_Reason);

Type-safe wrapper around g_signal_emit to emit the ContentRemoved signal on interface org.freedesktop.Telepathy.Channel.Type.Call1.

#### Parameters

instance | The object implementing this interface |
arg_Content | const gchar * (FIXME, generate documentation) |
arg_Reason | const GValueArray * (FIXME, generate documentation) |

### tp_svc_channel_type_call_hangup_impl ()

    void
    (*tp_svc_channel_type_call_hangup_impl)
                                   (TpSvcChannelTypeCall *self,
                                    guint in_Reason,
                                    const gchar *in_Detailed_Hangup_Reason,
                                    const gchar *in_Message,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method Hangup on interface org.freedesktop.Telepathy.Channel.Type.Call1.

#### Parameters

self | The object implementing this interface |
in_Reason | guint (FIXME, generate documentation) |
in_Detailed_Hangup_Reason | const gchar * (FIXME, generate documentation) |
in_Message | const gchar * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_channel_type_call_implement_accept ()

    void
    tp_svc_channel_type_call_implement_accept
                                   (TpSvcChannelTypeCallClass *klass,
                                    tp_svc_channel_type_call_accept_impl impl);

Register an implementation for the Accept method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the Accept D-Bus method |

### tp_svc_channel_type_call_implement_add_content ()

    void
    tp_svc_channel_type_call_implement_add_content
                                   (TpSvcChannelTypeCallClass *klass,
                                    tp_svc_channel_type_call_add_content_impl impl);

Register an implementation for the AddContent method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the AddContent D-Bus method |

### tp_svc_channel_type_call_implement_hangup ()

    void
    tp_svc_channel_type_call_implement_hangup
                                   (TpSvcChannelTypeCallClass *klass,
                                    tp_svc_channel_type_call_hangup_impl impl);

Register an implementation for the Hangup method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the Hangup D-Bus method |

### tp_svc_channel_type_call_implement_set_queued ()

    void
    tp_svc_channel_type_call_implement_set_queued
                                   (TpSvcChannelTypeCallClass *klass,
                                    tp_svc_channel_type_call_set_queued_impl impl);

Register an implementation for the SetQueued method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the SetQueued D-Bus method |

### tp_svc_channel_type_call_implement_set_ringing ()

    void
    tp_svc_channel_type_call_implement_set_ringing
                                   (TpSvcChannelTypeCallClass *klass,
                                    tp_svc_channel_type_call_set_ringing_impl impl);

Register an implementation for the SetRinging method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the SetRinging D-Bus method |

### tp_svc_channel_type_call_return_from_accept ()

    void
    tp_svc_channel_type_call_return_from_accept
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_channel_type_call_return_from_add_content ()

    void
    tp_svc_channel_type_call_return_from_add_content
                                   (DBusGMethodInvocation *context,
                                    const gchar *out_Content);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |
out_Content | const gchar * (FIXME, generate documentation) |

### tp_svc_channel_type_call_return_from_hangup ()

    void
    tp_svc_channel_type_call_return_from_hangup
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_channel_type_call_return_from_set_queued ()

    void
    tp_svc_channel_type_call_return_from_set_queued
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_channel_type_call_return_from_set_ringing ()

    void
    tp_svc_channel_type_call_return_from_set_ringing
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_channel_type_call_set_queued_impl ()

    void
    (*tp_svc_channel_type_call_set_queued_impl)
                                   (TpSvcChannelTypeCall *self,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method SetQueued on interface org.freedesktop.Telepathy.Channel.Type.Call1.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_channel_type_call_set_ringing_impl ()

    void
    (*tp_svc_channel_type_call_set_ringing_impl)
                                   (TpSvcChannelTypeCall *self,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method SetRinging on interface org.freedesktop.Telepathy.Channel.Type.Call1.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_call_content_emit_streams_added ()

    void
    tp_svc_call_content_emit_streams_added
                                   (gpointer instance,
                                    const GPtrArray *arg_Streams);

Type-safe wrapper around g_signal_emit to emit the StreamsAdded signal on interface org.freedesktop.Telepathy.Call1.Content.

#### Parameters

instance | The object implementing this interface |
arg_Streams | const GPtrArray * (FIXME, generate documentation) |

### tp_svc_call_content_emit_streams_removed ()

    void
    tp_svc_call_content_emit_streams_removed
                                   (gpointer instance,
                                    const GPtrArray *arg_Streams,
                                    const GValueArray *arg_Reason);

Type-safe wrapper around g_signal_emit to emit the StreamsRemoved signal on interface org.freedesktop.Telepathy.Call1.Content.

#### Parameters

instance | The object implementing this interface |
arg_Streams | const GPtrArray * (FIXME, generate documentation) |
arg_Reason | const GValueArray * (FIXME, generate documentation) |

### tp_svc_call_content_implement_remove ()

    void
    tp_svc_call_content_implement_remove (TpSvcCallContentClass *klass,
                                          tp_svc_call_content_remove_impl impl);

Register an implementation for the Remove method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the Remove D-Bus method |

### tp_svc_call_content_remove_impl ()

    void
    (*tp_svc_call_content_remove_impl) (TpSvcCallContent *self,
                                        DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method Remove on interface org.freedesktop.Telepathy.Call1.Content.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_call_content_return_from_remove ()

    void
    tp_svc_call_content_return_from_remove
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_content_interface_media_acknowledge_dtmf_change_impl ()

    void
    (*tp_svc_call_content_interface_media_acknowledge_dtmf_change_impl)
                                   (TpSvcCallContentInterfaceMedia *self,
                                    guchar in_Event,
                                    guint in_State,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method AcknowledgeDTMFChange on interface org.freedesktop.Telepathy.Call1.Content.Interface.Media.

#### Parameters

self | The object implementing this interface |
in_Event | guchar (FIXME, generate documentation) |
in_State | guint (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_content_interface_media_emit_dtmf_change_requested ()

    void
    tp_svc_call_content_interface_media_emit_dtmf_change_requested
                                   (gpointer instance,
                                    guchar arg_Event,
                                    guint arg_State);

Type-safe wrapper around g_signal_emit to emit the DTMFChangeRequested signal on interface org.freedesktop.Telepathy.Call1.Content.Interface.Media.

#### Parameters

instance | The object implementing this interface |
arg_Event | guchar (FIXME, generate documentation) |
arg_State | guint (FIXME, generate documentation) |

### tp_svc_call_content_interface_media_emit_local_media_description_changed ()

    void
    tp_svc_call_content_interface_media_emit_local_media_description_changed
                                   (gpointer instance,
                                    GHashTable *arg_Updated_Media_Description);

Type-safe wrapper around g_signal_emit to emit the LocalMediaDescriptionChanged signal on interface org.freedesktop.Telepathy.Call1.Content.Interface.Media.

#### Parameters

instance | The object implementing this interface |
arg_Updated_Media_Description | GHashTable * (FIXME, generate documentation) |

### tp_svc_call_content_interface_media_emit_media_description_offer_done ()

    void
    tp_svc_call_content_interface_media_emit_media_description_offer_done
                                   (gpointer instance);

Type-safe wrapper around g_signal_emit to emit the MediaDescriptionOfferDone signal on interface org.freedesktop.Telepathy.Call1.Content.Interface.Media.

#### Parameters

instance | The object implementing this interface |

### tp_svc_call_content_interface_media_emit_media_descriptions_removed ()

    void
    tp_svc_call_content_interface_media_emit_media_descriptions_removed
                                   (gpointer instance,
                                    const GArray *arg_Removed_Media_Descriptions);

Type-safe wrapper around g_signal_emit to emit the MediaDescriptionsRemoved signal on interface org.freedesktop.Telepathy.Call1.Content.Interface.Media.

#### Parameters

instance | The object implementing this interface |
arg_Removed_Media_Descriptions | const GArray * (FIXME, generate documentation) |

### tp_svc_call_content_interface_media_emit_new_media_description_offer ()

    void
    tp_svc_call_content_interface_media_emit_new_media_description_offer
                                   (gpointer instance,
                                    const gchar *arg_Media_Description,
                                    GHashTable *arg_Properties);

Type-safe wrapper around g_signal_emit to emit the NewMediaDescriptionOffer signal on interface org.freedesktop.Telepathy.Call1.Content.Interface.Media.

#### Parameters

instance | The object implementing this interface |
arg_Media_Description | const gchar * (FIXME, generate documentation) |
arg_Properties | GHashTable * (FIXME, generate documentation) |

### tp_svc_call_content_interface_media_emit_remote_media_descriptions_changed ()

    void
    tp_svc_call_content_interface_media_emit_remote_media_descriptions_changed
                                   (gpointer instance,
                                    GHashTable *arg_Updated_Media_Descriptions);

Type-safe wrapper around g_signal_emit to emit the RemoteMediaDescriptionsChanged signal on interface org.freedesktop.Telepathy.Call1.Content.Interface.Media.

#### Parameters

instance | The object implementing this interface |
arg_Updated_Media_Descriptions | GHashTable * (FIXME, generate documentation) |

### tp_svc_call_content_interface_media_fail_impl ()

    void
    (*tp_svc_call_content_interface_media_fail_impl)
                                   (TpSvcCallContentInterfaceMedia *self,
                                    const GValueArray *in_Reason,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method Fail on interface org.freedesktop.Telepathy.Call1.Content.Interface.Media.

#### Parameters

self | The object implementing this interface |
in_Reason | const GValueArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_content_interface_media_implement_acknowledge_dtmf_change ()

    void
    tp_svc_call_content_interface_media_implement_acknowledge_dtmf_change
                                   (TpSvcCallContentInterfaceMediaClass *klass,
                                    tp_svc_call_content_interface_media_acknowledge_dtmf_change_impl impl);

Register an implementation for the AcknowledgeDTMFChange method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the AcknowledgeDTMFChange D-Bus method |

### tp_svc_call_content_interface_media_implement_fail ()

    void
    tp_svc_call_content_interface_media_implement_fail
                                   (TpSvcCallContentInterfaceMediaClass *klass,
                                    tp_svc_call_content_interface_media_fail_impl impl);

Register an implementation for the Fail method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the Fail D-Bus method |

### tp_svc_call_content_interface_media_implement_update_local_media_description ()

    void
    tp_svc_call_content_interface_media_implement_update_local_media_description
                                   (TpSvcCallContentInterfaceMediaClass *klass,
                                    tp_svc_call_content_interface_media_update_local_media_description_impl impl);

Register an implementation for the UpdateLocalMediaDescription method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the UpdateLocalMediaDescription D-Bus method |

### tp_svc_call_content_interface_media_return_from_acknowledge_dtmf_change ()

    void
    tp_svc_call_content_interface_media_return_from_acknowledge_dtmf_change
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_content_interface_media_return_from_fail ()

    void
    tp_svc_call_content_interface_media_return_from_fail
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_content_interface_media_return_from_update_local_media_description ()

    void
    tp_svc_call_content_interface_media_return_from_update_local_media_description
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_content_interface_media_update_local_media_description_impl ()

    void
    (*tp_svc_call_content_interface_media_update_local_media_description_impl)
                                   (TpSvcCallContentInterfaceMedia *self,
                                    GHashTable *in_MediaDescription,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method UpdateLocalMediaDescription on interface org.freedesktop.Telepathy.Call1.Content.Interface.Media.

#### Parameters

self | The object implementing this interface |
in_MediaDescription | GHashTable * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_content_interface_video_control_emit_bitrate_changed ()

    void
    tp_svc_call_content_interface_video_control_emit_bitrate_changed
                                   (gpointer instance,
                                    guint arg_NewBitrate);

Type-safe wrapper around g_signal_emit to emit the BitrateChanged signal on interface org.freedesktop.Telepathy.Call1.Content.Interface.VideoControl.

#### Parameters

instance | The object implementing this interface |
arg_NewBitrate | guint (FIXME, generate documentation) |

### tp_svc_call_content_interface_video_control_emit_framerate_changed ()

    void
    tp_svc_call_content_interface_video_control_emit_framerate_changed
                                   (gpointer instance,
                                    guint arg_NewFramerate);

Type-safe wrapper around g_signal_emit to emit the FramerateChanged signal on interface org.freedesktop.Telepathy.Call1.Content.Interface.VideoControl.

#### Parameters

instance | The object implementing this interface |
arg_NewFramerate | guint (FIXME, generate documentation) |

### tp_svc_call_content_interface_video_control_emit_key_frame_requested ()

    void
    tp_svc_call_content_interface_video_control_emit_key_frame_requested
                                   (gpointer instance);

Type-safe wrapper around g_signal_emit to emit the KeyFrameRequested signal on interface org.freedesktop.Telepathy.Call1.Content.Interface.VideoControl.

#### Parameters

instance | The object implementing this interface |

### tp_svc_call_content_interface_video_control_emit_mtu_changed ()

    void
    tp_svc_call_content_interface_video_control_emit_mtu_changed
                                   (gpointer instance,
                                    guint arg_NewMTU);

Type-safe wrapper around g_signal_emit to emit the MTUChanged signal on interface org.freedesktop.Telepathy.Call1.Content.Interface.VideoControl.

#### Parameters

instance | The object implementing this interface |
arg_NewMTU | guint (FIXME, generate documentation) |

### tp_svc_call_content_interface_video_control_emit_video_resolution_changed ()

    void
    tp_svc_call_content_interface_video_control_emit_video_resolution_changed
                                   (gpointer instance,
                                    const GValueArray *arg_NewResolution);

Type-safe wrapper around g_signal_emit to emit the VideoResolutionChanged signal on interface org.freedesktop.Telepathy.Call1.Content.Interface.VideoControl.

#### Parameters

instance | The object implementing this interface |
arg_NewResolution | const GValueArray * (FIXME, generate documentation) |

### tp_svc_call_content_interface_audio_control_implement_report_input_volume ()

    void
    tp_svc_call_content_interface_audio_control_implement_report_input_volume
                                   (TpSvcCallContentInterfaceAudioControlClass *klass,
                                    tp_svc_call_content_interface_audio_control_report_input_volume_impl impl);

Register an implementation for the ReportInputVolume method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the ReportInputVolume D-Bus method |

### tp_svc_call_content_interface_audio_control_implement_report_output_volume ()

    void
    tp_svc_call_content_interface_audio_control_implement_report_output_volume
                                   (TpSvcCallContentInterfaceAudioControlClass *klass,
                                    tp_svc_call_content_interface_audio_control_report_output_volume_impl impl);

Register an implementation for the ReportOutputVolume method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the ReportOutputVolume D-Bus method |

### tp_svc_call_content_interface_audio_control_report_input_volume_impl ()

    void
    (*tp_svc_call_content_interface_audio_control_report_input_volume_impl)
                                   (TpSvcCallContentInterfaceAudioControl *self,
                                    gint in_Volume,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method ReportInputVolume on interface org.freedesktop.Telepathy.Call1.Content.Interface.AudioControl.

#### Parameters

self | The object implementing this interface |
in_Volume | gint (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_content_interface_audio_control_report_output_volume_impl ()

    void
    (*tp_svc_call_content_interface_audio_control_report_output_volume_impl)
                                   (TpSvcCallContentInterfaceAudioControl *self,
                                    gint in_Volume,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method ReportOutputVolume on interface org.freedesktop.Telepathy.Call1.Content.Interface.AudioControl.

#### Parameters

self | The object implementing this interface |
in_Volume | gint (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_content_interface_audio_control_return_from_report_input_volume ()

    void
    tp_svc_call_content_interface_audio_control_return_from_report_input_volume
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_content_interface_audio_control_return_from_report_output_volume ()

    void
    tp_svc_call_content_interface_audio_control_return_from_report_output_volume
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_content_interface_dtmf_emit_sending_tones ()

    void
    tp_svc_call_content_interface_dtmf_emit_sending_tones
                                   (gpointer instance,
                                    const gchar *arg_Tones);

Type-safe wrapper around g_signal_emit to emit the SendingTones signal on interface org.freedesktop.Telepathy.Call1.Content.Interface.DTMF.

#### Parameters

instance | The object implementing this interface |
arg_Tones | const gchar * (FIXME, generate documentation) |

### tp_svc_call_content_interface_dtmf_emit_stopped_tones ()

    void
    tp_svc_call_content_interface_dtmf_emit_stopped_tones
                                   (gpointer instance,
                                    gboolean arg_Cancelled);

Type-safe wrapper around g_signal_emit to emit the StoppedTones signal on interface org.freedesktop.Telepathy.Call1.Content.Interface.DTMF.

#### Parameters

instance | The object implementing this interface |
arg_Cancelled | gboolean (FIXME, generate documentation) |

### tp_svc_call_content_interface_dtmf_emit_tones_deferred ()

    void
    tp_svc_call_content_interface_dtmf_emit_tones_deferred
                                   (gpointer instance,
                                    const gchar *arg_Tones);

Type-safe wrapper around g_signal_emit to emit the TonesDeferred signal on interface org.freedesktop.Telepathy.Call1.Content.Interface.DTMF.

#### Parameters

instance | The object implementing this interface |
arg_Tones | const gchar * (FIXME, generate documentation) |

### tp_svc_call_content_interface_dtmf_implement_multiple_tones ()

    void
    tp_svc_call_content_interface_dtmf_implement_multiple_tones
                                   (TpSvcCallContentInterfaceDTMFClass *klass,
                                    tp_svc_call_content_interface_dtmf_multiple_tones_impl impl);

Register an implementation for the MultipleTones method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the MultipleTones D-Bus method |

### tp_svc_call_content_interface_dtmf_implement_start_tone ()

    void
    tp_svc_call_content_interface_dtmf_implement_start_tone
                                   (TpSvcCallContentInterfaceDTMFClass *klass,
                                    tp_svc_call_content_interface_dtmf_start_tone_impl impl);

Register an implementation for the StartTone method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the StartTone D-Bus method |

### tp_svc_call_content_interface_dtmf_implement_stop_tone ()

    void
    tp_svc_call_content_interface_dtmf_implement_stop_tone
                                   (TpSvcCallContentInterfaceDTMFClass *klass,
                                    tp_svc_call_content_interface_dtmf_stop_tone_impl impl);

Register an implementation for the StopTone method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the StopTone D-Bus method |

### tp_svc_call_content_interface_dtmf_multiple_tones_impl ()

    void
    (*tp_svc_call_content_interface_dtmf_multiple_tones_impl)
                                   (TpSvcCallContentInterfaceDTMF *self,
                                    const gchar *in_Tones,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method MultipleTones on interface org.freedesktop.Telepathy.Call1.Content.Interface.DTMF.

#### Parameters

self | The object implementing this interface |
in_Tones | const gchar * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_content_interface_dtmf_return_from_multiple_tones ()

    void
    tp_svc_call_content_interface_dtmf_return_from_multiple_tones
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_content_interface_dtmf_return_from_start_tone ()

    void
    tp_svc_call_content_interface_dtmf_return_from_start_tone
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_content_interface_dtmf_return_from_stop_tone ()

    void
    tp_svc_call_content_interface_dtmf_return_from_stop_tone
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_content_interface_dtmf_start_tone_impl ()

    void
    (*tp_svc_call_content_interface_dtmf_start_tone_impl)
                                   (TpSvcCallContentInterfaceDTMF *self,
                                    guchar in_Event,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method StartTone on interface org.freedesktop.Telepathy.Call1.Content.Interface.DTMF.

#### Parameters

self | The object implementing this interface |
in_Event | guchar (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_content_interface_dtmf_stop_tone_impl ()

    void
    (*tp_svc_call_content_interface_dtmf_stop_tone_impl)
                                   (TpSvcCallContentInterfaceDTMF *self,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method StopTone on interface org.freedesktop.Telepathy.Call1.Content.Interface.DTMF.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_call_content_media_description_accept_impl ()

    void
    (*tp_svc_call_content_media_description_accept_impl)
                                   (TpSvcCallContentMediaDescription *self,
                                    GHashTable *in_Local_Media_Description,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method Accept on interface org.freedesktop.Telepathy.Call1.Content.MediaDescription.

#### Parameters

self | The object implementing this interface |
in_Local_Media_Description | GHashTable * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_content_media_description_implement_accept ()

    void
    tp_svc_call_content_media_description_implement_accept
                                   (TpSvcCallContentMediaDescriptionClass *klass,
                                    tp_svc_call_content_media_description_accept_impl impl);

Register an implementation for the Accept method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the Accept D-Bus method |

### tp_svc_call_content_media_description_implement_reject ()

    void
    tp_svc_call_content_media_description_implement_reject
                                   (TpSvcCallContentMediaDescriptionClass *klass,
                                    tp_svc_call_content_media_description_reject_impl impl);

Register an implementation for the Reject method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the Reject D-Bus method |

### tp_svc_call_content_media_description_return_from_accept ()

    void
    tp_svc_call_content_media_description_return_from_accept
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_content_media_description_return_from_reject ()

    void
    tp_svc_call_content_media_description_return_from_reject
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_content_media_description_reject_impl ()

    void
    (*tp_svc_call_content_media_description_reject_impl)
                                   (TpSvcCallContentMediaDescription *self,
                                    const GValueArray *in_Reason,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method Reject on interface org.freedesktop.Telepathy.Call1.Content.MediaDescription.

#### Parameters

self | The object implementing this interface |
in_Reason | const GValueArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_stream_implement_request_receiving ()

    void
    tp_svc_call_stream_implement_request_receiving
                                   (TpSvcCallStreamClass *klass,
                                    tp_svc_call_stream_request_receiving_impl impl);

Register an implementation for the RequestReceiving method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RequestReceiving D-Bus method |

### tp_svc_call_stream_implement_set_sending ()

    void
    tp_svc_call_stream_implement_set_sending
                                   (TpSvcCallStreamClass *klass,
                                    tp_svc_call_stream_set_sending_impl impl);

Register an implementation for the SetSending method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the SetSending D-Bus method |

### tp_svc_call_stream_emit_local_sending_state_changed ()

    void
    tp_svc_call_stream_emit_local_sending_state_changed
                                   (gpointer instance,
                                    guint arg_State,
                                    const GValueArray *arg_Reason);

Type-safe wrapper around g_signal_emit to emit the LocalSendingStateChanged signal on interface org.freedesktop.Telepathy.Call1.Stream.

#### Parameters

instance | The object implementing this interface |
arg_State | guint (FIXME, generate documentation) |
arg_Reason | const GValueArray * (FIXME, generate documentation) |

### tp_svc_call_stream_emit_remote_members_changed ()

    void
    tp_svc_call_stream_emit_remote_members_changed
                                   (gpointer instance,
                                    GHashTable *arg_Updates,
                                    GHashTable *arg_Identifiers,
                                    const GArray *arg_Removed,
                                    const GValueArray *arg_Reason);

Type-safe wrapper around g_signal_emit to emit the RemoteMembersChanged signal on interface org.freedesktop.Telepathy.Call1.Stream.

#### Parameters

instance | The object implementing this interface |
arg_Updates | GHashTable * (FIXME, generate documentation) |
arg_Identifiers | GHashTable * (FIXME, generate documentation) |
arg_Removed | const GArray * (FIXME, generate documentation) |
arg_Reason | const GValueArray * (FIXME, generate documentation) |

### tp_svc_call_stream_request_receiving_impl ()

    void
    (*tp_svc_call_stream_request_receiving_impl)
                                   (TpSvcCallStream *self,
                                    guint in_Contact,
                                    gboolean in_Receive,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RequestReceiving on interface org.freedesktop.Telepathy.Call1.Stream.

#### Parameters

self | The object implementing this interface |
in_Contact | guint (FIXME, generate documentation) |
in_Receive | gboolean (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_stream_return_from_request_receiving ()

    void
    tp_svc_call_stream_return_from_request_receiving
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_stream_return_from_set_sending ()

    void
    tp_svc_call_stream_return_from_set_sending
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_stream_set_sending_impl ()

    void
    (*tp_svc_call_stream_set_sending_impl)
                                   (TpSvcCallStream *self,
                                    gboolean in_Send,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method SetSending on interface org.freedesktop.Telepathy.Call1.Stream.

#### Parameters

self | The object implementing this interface |
in_Send | gboolean (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_stream_interface_media_add_candidates_impl ()

    void
    (*tp_svc_call_stream_interface_media_add_candidates_impl)
                                   (TpSvcCallStreamInterfaceMedia *self,
                                    const GPtrArray *in_Candidates,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method AddCandidates on interface org.freedesktop.Telepathy.Call1.Stream.Interface.Media.

#### Parameters

self | The object implementing this interface |
in_Candidates | const GPtrArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_stream_interface_media_complete_receiving_state_change_impl ()

    void
    (*tp_svc_call_stream_interface_media_complete_receiving_state_change_impl)
                                   (TpSvcCallStreamInterfaceMedia *self,
                                    guint in_State,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method CompleteReceivingStateChange on interface org.freedesktop.Telepathy.Call1.Stream.Interface.Media.

#### Parameters

self | The object implementing this interface |
in_State | guint (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_stream_interface_media_complete_sending_state_change_impl ()

    void
    (*tp_svc_call_stream_interface_media_complete_sending_state_change_impl)
                                   (TpSvcCallStreamInterfaceMedia *self,
                                    guint in_State,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method CompleteSendingStateChange on interface org.freedesktop.Telepathy.Call1.Stream.Interface.Media.

#### Parameters

self | The object implementing this interface |
in_State | guint (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_stream_interface_media_emit_endpoints_changed ()

    void
    tp_svc_call_stream_interface_media_emit_endpoints_changed
                                   (gpointer instance,
                                    const GPtrArray *arg_Endpoints_Added,
                                    const GPtrArray *arg_Endpoints_Removed);

Type-safe wrapper around g_signal_emit to emit the EndpointsChanged signal on interface org.freedesktop.Telepathy.Call1.Stream.Interface.Media.

#### Parameters

instance | The object implementing this interface |
arg_Endpoints_Added | const GPtrArray * (FIXME, generate documentation) |
arg_Endpoints_Removed | const GPtrArray * (FIXME, generate documentation) |

### tp_svc_call_stream_interface_media_emit_ice_restart_requested ()

    void
    tp_svc_call_stream_interface_media_emit_ice_restart_requested
                                   (gpointer instance);

Type-safe wrapper around g_signal_emit to emit the ICERestartRequested signal on interface org.freedesktop.Telepathy.Call1.Stream.Interface.Media.

#### Parameters

instance | The object implementing this interface |

### tp_svc_call_stream_interface_media_emit_local_candidates_added ()

    void
    tp_svc_call_stream_interface_media_emit_local_candidates_added
                                   (gpointer instance,
                                    const GPtrArray *arg_Candidates);

Type-safe wrapper around g_signal_emit to emit the LocalCandidatesAdded signal on interface org.freedesktop.Telepathy.Call1.Stream.Interface.Media.

#### Parameters

instance | The object implementing this interface |
arg_Candidates | const GPtrArray * (FIXME, generate documentation) |

### tp_svc_call_stream_interface_media_emit_local_credentials_changed ()

    void
    tp_svc_call_stream_interface_media_emit_local_credentials_changed
                                   (gpointer instance,
                                    const gchar *arg_Username,
                                    const gchar *arg_Password);

Type-safe wrapper around g_signal_emit to emit the LocalCredentialsChanged signal on interface org.freedesktop.Telepathy.Call1.Stream.Interface.Media.

#### Parameters

instance | The object implementing this interface |
arg_Username | const gchar * (FIXME, generate documentation) |
arg_Password | const gchar * (FIXME, generate documentation) |

### tp_svc_call_stream_interface_media_emit_receiving_state_changed ()

    void
    tp_svc_call_stream_interface_media_emit_receiving_state_changed
                                   (gpointer instance,
                                    guint arg_State);

Type-safe wrapper around g_signal_emit to emit the ReceivingStateChanged signal on interface org.freedesktop.Telepathy.Call1.Stream.Interface.Media.

#### Parameters

instance | The object implementing this interface |
arg_State | guint (FIXME, generate documentation) |

### tp_svc_call_stream_interface_media_emit_relay_info_changed ()

    void
    tp_svc_call_stream_interface_media_emit_relay_info_changed
                                   (gpointer instance,
                                    const GPtrArray *arg_Relay_Info);

Type-safe wrapper around g_signal_emit to emit the RelayInfoChanged signal on interface org.freedesktop.Telepathy.Call1.Stream.Interface.Media.

#### Parameters

instance | The object implementing this interface |
arg_Relay_Info | const GPtrArray * (FIXME, generate documentation) |

### tp_svc_call_stream_interface_media_emit_sending_state_changed ()

    void
    tp_svc_call_stream_interface_media_emit_sending_state_changed
                                   (gpointer instance,
                                    guint arg_State);

Type-safe wrapper around g_signal_emit to emit the SendingStateChanged signal on interface org.freedesktop.Telepathy.Call1.Stream.Interface.Media.

#### Parameters

instance | The object implementing this interface |
arg_State | guint (FIXME, generate documentation) |

### tp_svc_call_stream_interface_media_emit_server_info_retrieved ()

    void
    tp_svc_call_stream_interface_media_emit_server_info_retrieved
                                   (gpointer instance);

Type-safe wrapper around g_signal_emit to emit the ServerInfoRetrieved signal on interface org.freedesktop.Telepathy.Call1.Stream.Interface.Media.

#### Parameters

instance | The object implementing this interface |

### tp_svc_call_stream_interface_media_emit_stun_servers_changed ()

    void
    tp_svc_call_stream_interface_media_emit_stun_servers_changed
                                   (gpointer instance,
                                    const GPtrArray *arg_Servers);

Type-safe wrapper around g_signal_emit to emit the STUNServersChanged signal on interface org.freedesktop.Telepathy.Call1.Stream.Interface.Media.

#### Parameters

instance | The object implementing this interface |
arg_Servers | const GPtrArray * (FIXME, generate documentation) |

### tp_svc_call_stream_interface_media_fail_impl ()

    void
    (*tp_svc_call_stream_interface_media_fail_impl)
                                   (TpSvcCallStreamInterfaceMedia *self,
                                    const GValueArray *in_Reason,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method Fail on interface org.freedesktop.Telepathy.Call1.Stream.Interface.Media.

#### Parameters

self | The object implementing this interface |
in_Reason | const GValueArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_stream_interface_media_finish_initial_candidates_impl ()

    void
    (*tp_svc_call_stream_interface_media_finish_initial_candidates_impl)
                                   (TpSvcCallStreamInterfaceMedia *self,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method FinishInitialCandidates on interface org.freedesktop.Telepathy.Call1.Stream.Interface.Media.

#### Parameters

self | The object implementing this interface |
context | Used to return values or throw an error |

### tp_svc_call_stream_interface_media_implement_add_candidates ()

    void
    tp_svc_call_stream_interface_media_implement_add_candidates
                                   (TpSvcCallStreamInterfaceMediaClass *klass,
                                    tp_svc_call_stream_interface_media_add_candidates_impl impl);

Register an implementation for the AddCandidates method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the AddCandidates D-Bus method |

### tp_svc_call_stream_interface_media_implement_complete_receiving_state_change ()

    void
    tp_svc_call_stream_interface_media_implement_complete_receiving_state_change
                                   (TpSvcCallStreamInterfaceMediaClass *klass,
                                    tp_svc_call_stream_interface_media_complete_receiving_state_change_impl impl);

Register an implementation for the CompleteReceivingStateChange method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the CompleteReceivingStateChange D-Bus method |

### tp_svc_call_stream_interface_media_implement_complete_sending_state_change ()

    void
    tp_svc_call_stream_interface_media_implement_complete_sending_state_change
                                   (TpSvcCallStreamInterfaceMediaClass *klass,
                                    tp_svc_call_stream_interface_media_complete_sending_state_change_impl impl);

Register an implementation for the CompleteSendingStateChange method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the CompleteSendingStateChange D-Bus method |

### tp_svc_call_stream_interface_media_implement_fail ()

    void
    tp_svc_call_stream_interface_media_implement_fail
                                   (TpSvcCallStreamInterfaceMediaClass *klass,
                                    tp_svc_call_stream_interface_media_fail_impl impl);

Register an implementation for the Fail method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the Fail D-Bus method |

### tp_svc_call_stream_interface_media_implement_finish_initial_candidates ()

    void
    tp_svc_call_stream_interface_media_implement_finish_initial_candidates
                                   (TpSvcCallStreamInterfaceMediaClass *klass,
                                    tp_svc_call_stream_interface_media_finish_initial_candidates_impl impl);

Register an implementation for the FinishInitialCandidates method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the FinishInitialCandidates D-Bus method |

### tp_svc_call_stream_interface_media_implement_report_receiving_failure ()

    void
    tp_svc_call_stream_interface_media_implement_report_receiving_failure
                                   (TpSvcCallStreamInterfaceMediaClass *klass,
                                    tp_svc_call_stream_interface_media_report_receiving_failure_impl impl);

Register an implementation for the ReportReceivingFailure method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the ReportReceivingFailure D-Bus method |

### tp_svc_call_stream_interface_media_implement_report_sending_failure ()

    void
    tp_svc_call_stream_interface_media_implement_report_sending_failure
                                   (TpSvcCallStreamInterfaceMediaClass *klass,
                                    tp_svc_call_stream_interface_media_report_sending_failure_impl impl);

Register an implementation for the ReportSendingFailure method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the ReportSendingFailure D-Bus method |

### tp_svc_call_stream_interface_media_implement_set_credentials ()

    void
    tp_svc_call_stream_interface_media_implement_set_credentials
                                   (TpSvcCallStreamInterfaceMediaClass *klass,
                                    tp_svc_call_stream_interface_media_set_credentials_impl impl);

Register an implementation for the SetCredentials method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the SetCredentials D-Bus method |

### tp_svc_call_stream_interface_media_report_receiving_failure_impl ()

    void
    (*tp_svc_call_stream_interface_media_report_receiving_failure_impl)
                                   (TpSvcCallStreamInterfaceMedia *self,
                                    guint in_Reason,
                                    const gchar *in_Error,
                                    const gchar *in_Message,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method ReportReceivingFailure on interface org.freedesktop.Telepathy.Call1.Stream.Interface.Media.

#### Parameters

self | The object implementing this interface |
in_Reason | guint (FIXME, generate documentation) |
in_Error | const gchar * (FIXME, generate documentation) |
in_Message | const gchar * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_stream_interface_media_report_sending_failure_impl ()

    void
    (*tp_svc_call_stream_interface_media_report_sending_failure_impl)
                                   (TpSvcCallStreamInterfaceMedia *self,
                                    guint in_Reason,
                                    const gchar *in_Error,
                                    const gchar *in_Message,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method ReportSendingFailure on interface org.freedesktop.Telepathy.Call1.Stream.Interface.Media.

#### Parameters

self | The object implementing this interface |
in_Reason | guint (FIXME, generate documentation) |
in_Error | const gchar * (FIXME, generate documentation) |
in_Message | const gchar * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_stream_interface_media_return_from_add_candidates ()

    void
    tp_svc_call_stream_interface_media_return_from_add_candidates
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_stream_interface_media_return_from_complete_receiving_state_change ()

    void
    tp_svc_call_stream_interface_media_return_from_complete_receiving_state_change
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_stream_interface_media_return_from_complete_sending_state_change ()

    void
    tp_svc_call_stream_interface_media_return_from_complete_sending_state_change
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_stream_interface_media_return_from_fail ()

    void
    tp_svc_call_stream_interface_media_return_from_fail
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_stream_interface_media_return_from_finish_initial_candidates ()

    void
    tp_svc_call_stream_interface_media_return_from_finish_initial_candidates
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_stream_interface_media_return_from_report_receiving_failure ()

    void
    tp_svc_call_stream_interface_media_return_from_report_receiving_failure
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_stream_interface_media_return_from_report_sending_failure ()

    void
    tp_svc_call_stream_interface_media_return_from_report_sending_failure
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_stream_interface_media_return_from_set_credentials ()

    void
    tp_svc_call_stream_interface_media_return_from_set_credentials
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_stream_interface_media_set_credentials_impl ()

    void
    (*tp_svc_call_stream_interface_media_set_credentials_impl)
                                   (TpSvcCallStreamInterfaceMedia *self,
                                    const gchar *in_Username,
                                    const gchar *in_Password,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method SetCredentials on interface org.freedesktop.Telepathy.Call1.Stream.Interface.Media.

#### Parameters

self | The object implementing this interface |
in_Username | const gchar * (FIXME, generate documentation) |
in_Password | const gchar * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_stream_endpoint_accept_selected_candidate_pair_impl ()

    void
    (*tp_svc_call_stream_endpoint_accept_selected_candidate_pair_impl)
                                   (TpSvcCallStreamEndpoint *self,
                                    const GValueArray *in_Local_Candidate,
                                    const GValueArray *in_Remote_Candidate,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method AcceptSelectedCandidatePair on interface org.freedesktop.Telepathy.Call1.Stream.Endpoint.

#### Parameters

self | The object implementing this interface |
in_Local_Candidate | const GValueArray * (FIXME, generate documentation) |
in_Remote_Candidate | const GValueArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_stream_endpoint_emit_candidate_pair_selected ()

    void
    tp_svc_call_stream_endpoint_emit_candidate_pair_selected
                                   (gpointer instance,
                                    const GValueArray *arg_Local_Candidate,
                                    const GValueArray *arg_Remote_Candidate);

Type-safe wrapper around g_signal_emit to emit the CandidatePairSelected signal on interface org.freedesktop.Telepathy.Call1.Stream.Endpoint.

#### Parameters

instance | The object implementing this interface |
arg_Local_Candidate | const GValueArray * (FIXME, generate documentation) |
arg_Remote_Candidate | const GValueArray * (FIXME, generate documentation) |

### tp_svc_call_stream_endpoint_emit_controlling_changed ()

    void
    tp_svc_call_stream_endpoint_emit_controlling_changed
                                   (gpointer instance,
                                    gboolean arg_Controlling);

Type-safe wrapper around g_signal_emit to emit the ControllingChanged signal on interface org.freedesktop.Telepathy.Call1.Stream.Endpoint.

#### Parameters

instance | The object implementing this interface |
arg_Controlling | gboolean (FIXME, generate documentation) |

### tp_svc_call_stream_endpoint_emit_endpoint_state_changed ()

    void
    tp_svc_call_stream_endpoint_emit_endpoint_state_changed
                                   (gpointer instance,
                                    guint arg_Component,
                                    guint arg_State);

Type-safe wrapper around g_signal_emit to emit the EndpointStateChanged signal on interface org.freedesktop.Telepathy.Call1.Stream.Endpoint.

#### Parameters

instance | The object implementing this interface |
arg_Component | guint (FIXME, generate documentation) |
arg_State | guint (FIXME, generate documentation) |

### tp_svc_call_stream_endpoint_emit_remote_candidates_added ()

    void
    tp_svc_call_stream_endpoint_emit_remote_candidates_added
                                   (gpointer instance,
                                    const GPtrArray *arg_Candidates);

Type-safe wrapper around g_signal_emit to emit the RemoteCandidatesAdded signal on interface org.freedesktop.Telepathy.Call1.Stream.Endpoint.

#### Parameters

instance | The object implementing this interface |
arg_Candidates | const GPtrArray * (FIXME, generate documentation) |

### tp_svc_call_stream_endpoint_emit_remote_credentials_set ()

    void
    tp_svc_call_stream_endpoint_emit_remote_credentials_set
                                   (gpointer instance,
                                    const gchar *arg_Username,
                                    const gchar *arg_Password);

Type-safe wrapper around g_signal_emit to emit the RemoteCredentialsSet signal on interface org.freedesktop.Telepathy.Call1.Stream.Endpoint.

#### Parameters

instance | The object implementing this interface |
arg_Username | const gchar * (FIXME, generate documentation) |
arg_Password | const gchar * (FIXME, generate documentation) |

### tp_svc_call_stream_endpoint_implement_accept_selected_candidate_pair ()

    void
    tp_svc_call_stream_endpoint_implement_accept_selected_candidate_pair
                                   (TpSvcCallStreamEndpointClass *klass,
                                    tp_svc_call_stream_endpoint_accept_selected_candidate_pair_impl impl);

Register an implementation for the AcceptSelectedCandidatePair method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the AcceptSelectedCandidatePair D-Bus method |

### tp_svc_call_stream_endpoint_implement_reject_selected_candidate_pair ()

    void
    tp_svc_call_stream_endpoint_implement_reject_selected_candidate_pair
                                   (TpSvcCallStreamEndpointClass *klass,
                                    tp_svc_call_stream_endpoint_reject_selected_candidate_pair_impl impl);

Register an implementation for the RejectSelectedCandidatePair method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the RejectSelectedCandidatePair D-Bus method |

### tp_svc_call_stream_endpoint_implement_set_controlling ()

    void
    tp_svc_call_stream_endpoint_implement_set_controlling
                                   (TpSvcCallStreamEndpointClass *klass,
                                    tp_svc_call_stream_endpoint_set_controlling_impl impl);

Register an implementation for the SetControlling method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the SetControlling D-Bus method |

### tp_svc_call_stream_endpoint_implement_set_endpoint_state ()

    void
    tp_svc_call_stream_endpoint_implement_set_endpoint_state
                                   (TpSvcCallStreamEndpointClass *klass,
                                    tp_svc_call_stream_endpoint_set_endpoint_state_impl impl);

Register an implementation for the SetEndpointState method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the SetEndpointState D-Bus method |

### tp_svc_call_stream_endpoint_implement_set_selected_candidate_pair ()

    void
    tp_svc_call_stream_endpoint_implement_set_selected_candidate_pair
                                   (TpSvcCallStreamEndpointClass *klass,
                                    tp_svc_call_stream_endpoint_set_selected_candidate_pair_impl impl);

Register an implementation for the SetSelectedCandidatePair method in the vtable of an implementation of this interface. To be called from the interface init function.

#### Parameters

klass | A class whose instances implement this interface |
impl | A callback used to implement the SetSelectedCandidatePair D-Bus method |

### tp_svc_call_stream_endpoint_reject_selected_candidate_pair_impl ()

    void
    (*tp_svc_call_stream_endpoint_reject_selected_candidate_pair_impl)
                                   (TpSvcCallStreamEndpoint *self,
                                    const GValueArray *in_Local_Candidate,
                                    const GValueArray *in_Remote_Candidate,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method RejectSelectedCandidatePair on interface org.freedesktop.Telepathy.Call1.Stream.Endpoint.

#### Parameters

self | The object implementing this interface |
in_Local_Candidate | const GValueArray * (FIXME, generate documentation) |
in_Remote_Candidate | const GValueArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_stream_endpoint_return_from_accept_selected_candidate_pair ()

    void
    tp_svc_call_stream_endpoint_return_from_accept_selected_candidate_pair
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_stream_endpoint_return_from_reject_selected_candidate_pair ()

    void
    tp_svc_call_stream_endpoint_return_from_reject_selected_candidate_pair
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_stream_endpoint_return_from_set_controlling ()

    void
    tp_svc_call_stream_endpoint_return_from_set_controlling
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_stream_endpoint_return_from_set_endpoint_state ()

    void
    tp_svc_call_stream_endpoint_return_from_set_endpoint_state
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_stream_endpoint_return_from_set_selected_candidate_pair ()

    void
    tp_svc_call_stream_endpoint_return_from_set_selected_candidate_pair
                                   (DBusGMethodInvocation *context);

Return successfully by calling `dbus_g_method_return()`. This inline function exists only to provide type-safety.

#### Parameters

context | The D-Bus method invocation context |

### tp_svc_call_stream_endpoint_set_controlling_impl ()

    void
    (*tp_svc_call_stream_endpoint_set_controlling_impl)
                                   (TpSvcCallStreamEndpoint *self,
                                    gboolean in_Controlling,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method SetControlling on interface org.freedesktop.Telepathy.Call1.Stream.Endpoint.

#### Parameters

self | The object implementing this interface |
in_Controlling | gboolean (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_stream_endpoint_set_endpoint_state_impl ()

    void
    (*tp_svc_call_stream_endpoint_set_endpoint_state_impl)
                                   (TpSvcCallStreamEndpoint *self,
                                    guint in_Component,
                                    guint in_State,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method SetEndpointState on interface org.freedesktop.Telepathy.Call1.Stream.Endpoint.

#### Parameters

self | The object implementing this interface |
in_Component | guint (FIXME, generate documentation) |
in_State | guint (FIXME, generate documentation) |
context | Used to return values or throw an error |

### tp_svc_call_stream_endpoint_set_selected_candidate_pair_impl ()

    void
    (*tp_svc_call_stream_endpoint_set_selected_candidate_pair_impl)
                                   (TpSvcCallStreamEndpoint *self,
                                    const GValueArray *in_Local_Candidate,
                                    const GValueArray *in_Remote_Candidate,
                                    DBusGMethodInvocation *context);

The signature of an implementation of the D-Bus method SetSelectedCandidatePair on interface org.freedesktop.Telepathy.Call1.Stream.Endpoint.

#### Parameters

self | The object implementing this interface |
in_Local_Candidate | const GValueArray * (FIXME, generate documentation) |
in_Remote_Candidate | const GValueArray * (FIXME, generate documentation) |
context | Used to return values or throw an error |

## Types and Values

### TpSvcChannelTypeCall

    typedef struct _TpSvcChannelTypeCall TpSvcChannelTypeCall;

Dummy typedef representing any implementation of this interface.

### TpSvcChannelTypeCallClass

    typedef struct _TpSvcChannelTypeCallClass TpSvcChannelTypeCallClass;

The class of TpSvcChannelTypeCall.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_channel_type_call (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_channel_type_call_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (set_ringing);
      IMPLEMENT (set_queued);
      IMPLEMENT (accept);
      IMPLEMENT (hangup);
      IMPLEMENT (add_content);
    #undef IMPLEMENT
    }

### TpSvcCallContent

    typedef struct _TpSvcCallContent TpSvcCallContent;

Dummy typedef representing any implementation of this interface.

### TpSvcCallContentClass

    typedef struct _TpSvcCallContentClass TpSvcCallContentClass;

The class of TpSvcCallContent.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_call_content (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_call_content_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (remove);
    #undef IMPLEMENT
    }

### TpSvcCallContentInterfaceMedia

    typedef struct _TpSvcCallContentInterfaceMedia TpSvcCallContentInterfaceMedia;

Dummy typedef representing any implementation of this interface.

### TpSvcCallContentInterfaceMediaClass

    typedef struct _TpSvcCallContentInterfaceMediaClass TpSvcCallContentInterfaceMediaClass;

The class of TpSvcCallContentInterfaceMedia.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_call_content_interface_media (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_call_content_interface_media_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (update_local_media_description);
      IMPLEMENT (acknowledge_dtmf_change);
      IMPLEMENT (fail);
    #undef IMPLEMENT
    }

### TpSvcCallContentInterfaceVideoControl

    typedef struct _TpSvcCallContentInterfaceVideoControl TpSvcCallContentInterfaceVideoControl;

Dummy typedef representing any implementation of this interface.

### TpSvcCallContentInterfaceVideoControlClass

    typedef struct _TpSvcCallContentInterfaceVideoControlClass TpSvcCallContentInterfaceVideoControlClass;

The class of TpSvcCallContentInterfaceVideoControl. This interface has no D-Bus methods, so an implementation can typically pass `NULL` to `G_IMPLEMENT_INTERFACE()` as the interface initialization function.

### TpSvcCallContentInterfaceAudioControl

    typedef struct _TpSvcCallContentInterfaceAudioControl TpSvcCallContentInterfaceAudioControl;

Dummy typedef representing any implementation of this interface.

### TpSvcCallContentInterfaceAudioControlClass

    typedef struct _TpSvcCallContentInterfaceAudioControlClass TpSvcCallContentInterfaceAudioControlClass;

The class of TpSvcCallContentInterfaceAudioControl.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_call_content_interface_audio_control (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_call_content_interface_audio_control_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (report_input_volume);
      IMPLEMENT (report_output_volume);
    #undef IMPLEMENT
    }

### TpSvcCallContentInterfaceDTMF

    typedef struct _TpSvcCallContentInterfaceDTMF TpSvcCallContentInterfaceDTMF;

Dummy typedef representing any implementation of this interface.

### TpSvcCallContentInterfaceDTMFClass

    typedef struct _TpSvcCallContentInterfaceDTMFClass TpSvcCallContentInterfaceDTMFClass;

The class of TpSvcCallContentInterfaceDTMF.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_call_content_interface_dtmf (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_call_content_interface_dtmf_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (start_tone);
      IMPLEMENT (stop_tone);
      IMPLEMENT (multiple_tones);
    #undef IMPLEMENT
    }

### TpSvcCallContentMediaDescription

    typedef struct _TpSvcCallContentMediaDescription TpSvcCallContentMediaDescription;

Dummy typedef representing any implementation of this interface.

### TpSvcCallContentMediaDescriptionClass

    typedef struct _TpSvcCallContentMediaDescriptionClass TpSvcCallContentMediaDescriptionClass;

The class of TpSvcCallContentMediaDescription.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_call_content_media_description (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_call_content_media_description_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (accept);
      IMPLEMENT (reject);
    #undef IMPLEMENT
    }

### TpSvcCallContentMediaDescriptionInterfaceRTCPExtendedReports

    typedef struct _TpSvcCallContentMediaDescriptionInterfaceRTCPExtendedReports TpSvcCallContentMediaDescriptionInterfaceRTCPExtendedReports;

Dummy typedef representing any implementation of this interface.

### TpSvcCallContentMediaDescriptionInterfaceRTCPExtendedReportsClass

    typedef struct _TpSvcCallContentMediaDescriptionInterfaceRTCPExtendedReportsClass TpSvcCallContentMediaDescriptionInterfaceRTCPExtendedReportsClass;

The class of TpSvcCallContentMediaDescriptionInterfaceRTCPExtendedReports. This interface has no D-Bus methods, so an implementation can typically pass `NULL` to `G_IMPLEMENT_INTERFACE()` as the interface initialization function.

### TpSvcCallContentMediaDescriptionInterfaceRTCPFeedback

    typedef struct _TpSvcCallContentMediaDescriptionInterfaceRTCPFeedback TpSvcCallContentMediaDescriptionInterfaceRTCPFeedback;

Dummy typedef representing any implementation of this interface.

### TpSvcCallContentMediaDescriptionInterfaceRTCPFeedbackClass

    typedef struct _TpSvcCallContentMediaDescriptionInterfaceRTCPFeedbackClass TpSvcCallContentMediaDescriptionInterfaceRTCPFeedbackClass;

The class of TpSvcCallContentMediaDescriptionInterfaceRTCPFeedback. This interface has no D-Bus methods, so an implementation can typically pass `NULL` to `G_IMPLEMENT_INTERFACE()` as the interface initialization function.

### TpSvcCallContentMediaDescriptionInterfaceRTPHeaderExtensions

    typedef struct _TpSvcCallContentMediaDescriptionInterfaceRTPHeaderExtensions TpSvcCallContentMediaDescriptionInterfaceRTPHeaderExtensions;

Dummy typedef representing any implementation of this interface.

### TpSvcCallContentMediaDescriptionInterfaceRTPHeaderExtensionsClass

    typedef struct _TpSvcCallContentMediaDescriptionInterfaceRTPHeaderExtensionsClass TpSvcCallContentMediaDescriptionInterfaceRTPHeaderExtensionsClass;

The class of TpSvcCallContentMediaDescriptionInterfaceRTPHeaderExtensions. This interface has no D-Bus methods, so an implementation can typically pass `NULL` to `G_IMPLEMENT_INTERFACE()` as the interface initialization function.

### TpSvcCallStream

    typedef struct _TpSvcCallStream TpSvcCallStream;

Dummy typedef representing any implementation of this interface.

### TpSvcCallStreamClass

    typedef struct _TpSvcCallStreamClass TpSvcCallStreamClass;

The class of TpSvcCallStream.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_call_stream (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_call_stream_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (set_sending);
      IMPLEMENT (request_receiving);
    #undef IMPLEMENT
    }

### TpSvcCallStreamInterfaceMedia

    typedef struct _TpSvcCallStreamInterfaceMedia TpSvcCallStreamInterfaceMedia;

Dummy typedef representing any implementation of this interface.

### TpSvcCallStreamInterfaceMediaClass

    typedef struct _TpSvcCallStreamInterfaceMediaClass TpSvcCallStreamInterfaceMediaClass;

The class of TpSvcCallStreamInterfaceMedia.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_call_stream_interface_media (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_call_stream_interface_media_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (complete_sending_state_change);
      IMPLEMENT (report_sending_failure);
      IMPLEMENT (complete_receiving_state_change);
      IMPLEMENT (report_receiving_failure);
      IMPLEMENT (set_credentials);
      IMPLEMENT (add_candidates);
      IMPLEMENT (finish_initial_candidates);
      IMPLEMENT (fail);
    #undef IMPLEMENT
    }

### TpSvcCallStreamEndpoint

    typedef struct _TpSvcCallStreamEndpoint TpSvcCallStreamEndpoint;

Dummy typedef representing any implementation of this interface.

### TpSvcCallStreamEndpointClass

    typedef struct _TpSvcCallStreamEndpointClass TpSvcCallStreamEndpointClass;

The class of TpSvcCallStreamEndpoint.

In a full implementation of this interface (i.e. all methods implemented), the interface initialization function used in `G_IMPLEMENT_INTERFACE()` would typically look like this:

    static void
    implement_call_stream_endpoint (gpointer klass,
        gpointer unused G_GNUC_UNUSED)
    {
    #define IMPLEMENT(x) tp_svc_call_stream_endpoint_implement_##x (\
      klass, my_object_##x)
      IMPLEMENT (set_selected_candidate_pair);
      IMPLEMENT (set_endpoint_state);
      IMPLEMENT (accept_selected_candidate_pair);
      IMPLEMENT (reject_selected_candidate_pair);
      IMPLEMENT (set_controlling);
    #undef IMPLEMENT
    }

## Signal Details

### The `“call-members-changed”` signal

    void
    user_function (TpSvcChannelTypeCall *self,
                   GArray_guint_        *arg_Removed,
                   gpointer              user_data)

The CallMembersChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Flags_Changed | GHashTable * (FIXME, generate documentation) |
arg_Identifiers | GHashTable * (FIXME, generate documentation) |
arg_Removed | const GArray * (FIXME, generate documentation) |
arg_Reason | const GValueArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“call-state-changed”` signal

    void
    user_function (TpSvcChannelTypeCall *self,
                   guint                 arg_Call_State,
                   guint                 arg_Call_Flags,
                   gpointer              user_data)

The CallStateChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Call_State | guint (FIXME, generate documentation) |
arg_Call_Flags | guint (FIXME, generate documentation) |
arg_Call_State_Reason | const GValueArray * (FIXME, generate documentation) |
arg_Call_State_Details | GHashTable * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“content-added”` signal

    void
    user_function (TpSvcChannelTypeCall *self,
                   DBusGObjectPath      *arg_Content,
                   gpointer              user_data)

The ContentAdded D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Content | const gchar * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“content-removed”` signal

    void
    user_function (TpSvcChannelTypeCall *self,
                   DBusGObjectPath      *arg_Content,
                   gpointer              user_data)

The ContentRemoved D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Content | const gchar * (FIXME, generate documentation) |
arg_Reason | const GValueArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“streams-added”` signal

    void
    user_function (TpSvcCallContent           *self,
                   GPtrArray_DBusGObjectPath_ *arg_Streams,
                   gpointer                    user_data)

The StreamsAdded D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Streams | const GPtrArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“streams-removed”` signal

    void
    user_function (TpSvcCallContent           *self,
                   GPtrArray_DBusGObjectPath_ *arg_Streams,
                   gpointer                    user_data)

The StreamsRemoved D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Streams | const GPtrArray * (FIXME, generate documentation) |
arg_Reason | const GValueArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“d-tm-fchange-requested”` signal

    void
    user_function (TpSvcCallContentInterfaceMedia *self,
                   guchar                          arg_Event,
                   guint                           arg_State,
                   gpointer                        user_data)

The DTMFChangeRequested D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Event | guchar (FIXME, generate documentation) |
arg_State | guint (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“local-media-description-changed”` signal

    void
    user_function (TpSvcCallContentInterfaceMedia *self,
                   gpointer                        user_data)

The LocalMediaDescriptionChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Updated_Media_Description | GHashTable * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“media-description-offer-done”` signal

    void
    user_function (TpSvcCallContentInterfaceMedia *self,
                   gpointer                        user_data)

The MediaDescriptionOfferDone D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“media-descriptions-removed”` signal

    void
    user_function (TpSvcCallContentInterfaceMedia *self,
                   GArray_guint_                  *arg_Removed_Media_Descriptions,
                   gpointer                        user_data)

The MediaDescriptionsRemoved D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Removed_Media_Descriptions | const GArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“new-media-description-offer”` signal

    void
    user_function (TpSvcCallContentInterfaceMedia *self,
                   DBusGObjectPath                *arg_Media_Description,
                   gpointer                        user_data)

The NewMediaDescriptionOffer D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Media_Description | const gchar * (FIXME, generate documentation) |
arg_Properties | GHashTable * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“remote-media-descriptions-changed”` signal

    void
    user_function (TpSvcCallContentInterfaceMedia *self,
                   gpointer                        user_data)

The RemoteMediaDescriptionsChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Updated_Media_Descriptions | GHashTable * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“bitrate-changed”` signal

    void
    user_function (TpSvcCallContentInterfaceVideoControl *self,
                   guint                                  arg_NewBitrate,
                   gpointer                               user_data)

The BitrateChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_NewBitrate | guint (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“framerate-changed”` signal

    void
    user_function (TpSvcCallContentInterfaceVideoControl *self,
                   guint                                  arg_NewFramerate,
                   gpointer                               user_data)

The FramerateChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_NewFramerate | guint (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“key-frame-requested”` signal

    void
    user_function (TpSvcCallContentInterfaceVideoControl *self,
                   gpointer                               user_data)

The KeyFrameRequested D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“m-tu-changed”` signal

    void
    user_function (TpSvcCallContentInterfaceVideoControl *self,
                   guint                                  arg_NewMTU,
                   gpointer                               user_data)

The MTUChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_NewMTU | guint (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“video-resolution-changed”` signal

    void
    user_function (TpSvcCallContentInterfaceVideoControl *self,
                   gpointer                               user_data)

The VideoResolutionChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_NewResolution | const GValueArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“sending-tones”` signal

    void
    user_function (TpSvcCallContentInterfaceDTMF *self,
                   gchar                         *arg_Tones,
                   gpointer                       user_data)

The SendingTones D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Tones | const gchar * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“stopped-tones”` signal

    void
    user_function (TpSvcCallContentInterfaceDTMF *self,
                   gboolean                       arg_Cancelled,
                   gpointer                       user_data)

The StoppedTones D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Cancelled | gboolean (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“tones-deferred”` signal

    void
    user_function (TpSvcCallContentInterfaceDTMF *self,
                   gchar                         *arg_Tones,
                   gpointer                       user_data)

The TonesDeferred D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Tones | const gchar * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“local-sending-state-changed”` signal

    void
    user_function (TpSvcCallStream *self,
                   guint            arg_State,
                   gpointer         user_data)

The LocalSendingStateChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_State | guint (FIXME, generate documentation) |
arg_Reason | const GValueArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“remote-members-changed”` signal

    void
    user_function (TpSvcCallStream *self,
                   GArray_guint_   *arg_Removed,
                   gpointer         user_data)

The RemoteMembersChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Updates | GHashTable * (FIXME, generate documentation) |
arg_Identifiers | GHashTable * (FIXME, generate documentation) |
arg_Removed | const GArray * (FIXME, generate documentation) |
arg_Reason | const GValueArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“endpoints-changed”` signal

    void
    user_function (TpSvcCallStreamInterfaceMedia *self,
                   GPtrArray_DBusGObjectPath_    *arg_Endpoints_Added,
                   GPtrArray_DBusGObjectPath_    *arg_Endpoints_Removed,
                   gpointer                       user_data)

The EndpointsChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Endpoints_Added | const GPtrArray * (FIXME, generate documentation) |
arg_Endpoints_Removed | const GPtrArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“i-ce-restart-requested”` signal

    void
    user_function (TpSvcCallStreamInterfaceMedia *self,
                   gpointer                       user_data)

The ICERestartRequested D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“local-candidates-added”` signal

    void
    user_function (TpSvcCallStreamInterfaceMedia *self,
                   gpointer                       user_data)

The LocalCandidatesAdded D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Candidates | const GPtrArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“local-credentials-changed”` signal

    void
    user_function (TpSvcCallStreamInterfaceMedia *self,
                   gchar                         *arg_Username,
                   gchar                         *arg_Password,
                   gpointer                       user_data)

The LocalCredentialsChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Username | const gchar * (FIXME, generate documentation) |
arg_Password | const gchar * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“receiving-state-changed”` signal

    void
    user_function (TpSvcCallStreamInterfaceMedia *self,
                   guint                          arg_State,
                   gpointer                       user_data)

The ReceivingStateChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_State | guint (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“relay-info-changed”` signal

    void
    user_function (TpSvcCallStreamInterfaceMedia *self,
                   gpointer                       user_data)

The RelayInfoChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Relay_Info | const GPtrArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“s-tu-nservers-changed”` signal

    void
    user_function (TpSvcCallStreamInterfaceMedia *self,
                   gpointer                       user_data)

The STUNServersChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Servers | const GPtrArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“sending-state-changed”` signal

    void
    user_function (TpSvcCallStreamInterfaceMedia *self,
                   guint                          arg_State,
                   gpointer                       user_data)

The SendingStateChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_State | guint (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“server-info-retrieved”` signal

    void
    user_function (TpSvcCallStreamInterfaceMedia *self,
                   gpointer                       user_data)

The ServerInfoRetrieved D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“candidate-pair-selected”` signal

    void
    user_function (TpSvcCallStreamEndpoint *self,
                   gpointer                 user_data)

The CandidatePairSelected D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Local_Candidate | const GValueArray * (FIXME, generate documentation) |
arg_Remote_Candidate | const GValueArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“controlling-changed”` signal

    void
    user_function (TpSvcCallStreamEndpoint *self,
                   gboolean                 arg_Controlling,
                   gpointer                 user_data)

The ControllingChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Controlling | gboolean (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“endpoint-state-changed”` signal

    void
    user_function (TpSvcCallStreamEndpoint *self,
                   guint                    arg_Component,
                   guint                    arg_State,
                   gpointer                 user_data)

The EndpointStateChanged D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Component | guint (FIXME, generate documentation) |
arg_State | guint (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“remote-candidates-added”` signal

    void
    user_function (TpSvcCallStreamEndpoint *self,
                   gpointer                 user_data)

The RemoteCandidatesAdded D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Candidates | const GPtrArray * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details

### The `“remote-credentials-set”` signal

    void
    user_function (TpSvcCallStreamEndpoint *self,
                   gchar                   *arg_Username,
                   gchar                   *arg_Password,
                   gpointer                 user_data)

The RemoteCredentialsSet D-Bus signal is emitted whenever this GObject signal is.

#### Parameters

self | an object |
arg_Username | const gchar * (FIXME, generate documentation) |
arg_Password | const gchar * (FIXME, generate documentation) |
user_data | user data set when the signal handler was connected. |

Flags: Has Details